TARANTOOL(1)

NAME
tarantool - a Lua application server and a database management system

SYNOPSIS
    tarantool [OPTIONS] [SCRIPT [ARGS]]

DESCRIPTION
Tarantool is a Lua application server fully compatible with Lua 5.1.

It includes a mature database to persist, replicate and recover application state and a curated set of Lua modules for networking, I/O, messaging, data formats and more.

It is designed to let developers quickly create efficient, reliable and powerful micro-services and backend applications for the Internet.

Key features:

•   Fully compatible with Lua 5.1.

•   Coroutines and asynchronous I/O to implement high-performance lock-free access to data.

•   ACID transactions.

•   ANSI SQL, Lua stored procedures and triggers.

•   Authentication and access control.

•   Master-master replication and automatic sharding.

OPTIONS
You can use these options before (or instead of) the interpreted 'SCRIPT' name:

-h, --help
    Display the help screen and exit.

-V, -v, --version
    Print the program version and exit.

-e EXRP
    Execute the string 'EXPR'.

-l NAME
    Require the library 'NAME'.

-i  Enter the interactive mode after executing 'SCRIPT'.

--  Stop handling options.

-   Execute stdin and stop handling options.

SEE ALSO
tarantoolctl(1), Tarantool documentation at http://tarantool.org

COPYRIGHT
Copyright (C) 2010-2017 Tarantool AUTHORS: please see AUTHORS file.